$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-22.0.128.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-22.0.128.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'E19786835A7B46813CEAFA93EAABEBE275181C4F262C1A2FB72CC8E5B1D05559'
  checksumType = 'sha256'
  checksum64 = 'E19786835A7B46813CEAFA93EAABEBE275181C4F262C1A2FB72CC8E5B1D05559'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-22.0.128-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
